Bug 457137 - [IA64] Fix SMP-unsafe with XENMEM_add_to_physmap on HVM
[IA64] Fix SMP-unsafe with XENMEM_add_to_physmap on HVM
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.2
ia64 Linux
urgent Severity urgent
: rc
: ---
Assigned To: Tetsu Yamamoto
Martin Jenner
: ZStream
Depends On:
Blocks: 459780
  Show dependency treegraph
 
Reported: 2008-07-29 16:06 EDT by Bryan Mason
Modified: 2010-10-22 23:16 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: XENMEM_add_to_physmap hypercall on HVM was SMP-unsafe. Consequence: Repeat to create/destroy a Windows guest could cause Dom0 crash. Fix: Fixed SMP-unsafe with XENMEM_add_to_physmap on HVM Result: Repeat to create/destroy a Windows guest does not cause Dom0 crash.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 14:41:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch. Same as upstream, but renumbered to match xen-3.0.3-68.el5. (3.33 KB, patch)
2008-07-29 16:06 EDT, Bryan Mason
no flags Details | Diff
proposed patch. revised to apply to kernel. (3.77 KB, patch)
2008-08-12 12:54 EDT, Tetsu Yamamoto
no flags Details | Diff

  None (edit)
Description Bryan Mason 2008-07-29 16:06:15 EDT
Description of problem:

    XENMEM_add_to_physmap hypercall on HVM is SMP-unsafe and may cause
    a xen crash.
 
    This means that a driver for Guest OS can crash Dom0.  This has
    been observed on a Windows Guest.  It has not been reproduced on a
    Linux HVM guest.

Version-Release number of selected component (if applicable):

    xen-3.0.3-64.el5

How reproducible:

    1/100

Steps to Reproduce:

    1.  Create/Destroy the domain(Windows/IA64+Driver(which uses
        XENMEM_add_to_physmap)).
  
Actual results:

    dom0 hangs

Expected results:

    Guest OS start/stop works properly without Dom0 hang.

Additional info:

    This has been fixed upstream in Cset #17943:

        http://xenbits.xensource.com/ext/ia64/xen-unstable.hg?rev/eb0fc71cfc72

    Discussion thread can be found at:

       
http://lists.xensource.com/archives/html/xen-ia64-devel/2008-07/msg00058.html
Comment 1 Bryan Mason 2008-07-29 16:06:16 EDT
Created attachment 312930 [details]
Proposed patch.  Same as upstream, but renumbered to match xen-3.0.3-68.el5.
Comment 6 Tetsu Yamamoto 2008-08-01 11:30:32 EDT
The patch should be applied to kernel-xen.
Comment 8 Tetsu Yamamoto 2008-08-12 12:54:33 EDT
Created attachment 314114 [details]
proposed patch.  revised to apply to kernel.
Comment 12 Don Zickus 2008-08-22 15:49:55 EDT
in kernel-2.6.18-105.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 17 Ryan Lerch 2008-11-06 19:04:53 EST
This bug has been marked for inclusion in the Red Hat Enterprise Linux 5.3
Release Notes.

To aid in the development of relevant and accurate release notes, please fill
out the "Release Notes" field above with the following 4 pieces of information:


Cause:   What actions or circumstances cause this bug to present.

Consequence:  What happens when the bug presents.

Fix:   What was done to fix the bug.

Result:  What now happens when the actions or circumstances above occur. (NB:
this is not the same as 'the bug doesn't present anymore')
Comment 18 Tetsu Yamamoto 2008-11-13 11:45:44 EST
release note added.
Comment 19 Tetsu Yamamoto 2008-11-13 11:45:44 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Cause:   
     XENMEM_add_to_physmap hypercall on HVM was SMP-unsafe.

Consequence:  
     Repeat to create/destroy a Windows guest could cause Dom0 crash.

Fix:   
    Fixed SMP-unsafe with XENMEM_add_to_physmap on HVM

Result:  
    Repeat to create/destroy a Windows guest does not cause Dom0 crash.
Comment 22 errata-xmlrpc 2009-01-20 14:41:33 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.